using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace FiveChess
{
    class AIPlayer : IPlayer 
    {
        public AIPlayer(){ }
        public event PlayerEventHandle playerEvent;

        private void FireEvent(Point position)
        {
            if (playerEvent != null)
            {
                PlayerEventArgs args = new PlayerEventArgs(position);
                playerEvent(this, args);
            }


        }
        void IPlayer.GetNextChessmanPosition(Point pPoint)
        {
            Point position = new Point();
            position.X = 10;
            position.Y = 10;
            FireEvent(position);
        }

    }
}
